Package com.io7m.idstore.server.api

# Class IdServerConfigurationFiles

java.lang.Object
com.io7m.idstore.server.api.IdServerConfigurationFiles

All Implemented Interfaces:
  `IdServiceType`

public final class IdServerConfigurationFiles extends Object implements IdServiceType
The configuration file parser.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTENT_TYPE`
  The content type for the protocol.
  `static final String`
  `SCHEMA_ID`
  The JSON schema identifier for the protocol.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerConfigurationFiles()`
  The Public API v1 message protocol.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `contentType()`
  `String`
  `description()`
  `IdServerConfigurationFile`
  `parse(InputStream stream)`
  Parse a configuration file.
  `IdServerConfigurationFile`
  `parse(Path file)`
  Parse a configuration file.
  `static String`
  `schemaId()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SCHEMA_ID

    public static final String SCHEMA_ID
    The JSON schema identifier for the protocol.
    See Also:
      - Constant Field Values

  - ### CONTENT_TYPE

    public static final String CONTENT_TYPE
    The content type for the protocol.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IdServerConfigurationFiles

    public IdServerConfigurationFiles()
    The Public API v1 message protocol.

- ## Method Details

  - ### parse

    public IdServerConfigurationFile parse(InputStream stream) throws IOException
    Parse a configuration file.
    Parameters:
      `stream` - The input stream
    Returns:
      The file
    Throws:
      `IOException` - On errors

  - ### parse

    public IdServerConfigurationFile parse(Path file) throws IOException
    Parse a configuration file.
    Parameters:
      `file` - The input file
    Returns:
      The file
    Throws:
      `IOException` - On errors

  - ### schemaId

    public static String schemaId()
    Returns:
      The JSON schema identifier for the protocol.

  - ### contentType

    public static String contentType()
    Returns:
      The content type for the protocol.

  - ### description

    public String description()
    Specified by:
      `description` in interface `IdServiceType`
    Returns:
      The service description

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`